name = "doctable"

# expose some features of sqlalchemy
from sqlalchemy.sql import and_, or_, not_


# regular table features

from .doctable import DocTable
from .doctablemongo import DocTableMongo
#from .schemas import parse_schema, column_type_map
from .connectengine import ConnectEngine
from .model import *
from .schemas import *
from .api import *

# all legacy
from .legacy import DocTableLegacy
from .legacy import DocParser


# submodules (future?)
#from .parse import *
#from .doctable import *

# convenience classes and functions
from .util import (
    read_pickle, 
    write_pickle, 
    read_json, 
    write_json, 
    showstopper, 
    Timer, 
    FSStore,
    TempFolder,
    Distribute
)
from .dbutils import list_tables, migrate_db
from .parse import *


#__all__ = ['parse', 'schemas', 'util', 'model']
